# frozen_string_literal: true

module Sinamak
  class NoopResponse
    attr_reader :body_object

    def initialize
      @body_object = OpenStruct.new
    end

    def successful?
      false
    end

    private

    def status_200?
      false
    end
  end
end

module Faraday
  class Response
    def successful?
      status_200? && body
    end

    def body_object
      OpenStruct.new(JSON.parse(body))
    rescue JSON::ParserError
      OpenStruct.new
    end

    private

    def status_200?
      status && status == 200
    end
  end
end
