# frozen_string_literal: true

module Sinamak
  class Polyglot
    def initialize
      @translation_source = TranslationSource.new if CONNECTION
    end

    def available_languages
      translation_source.supported_languages
    end

    def detect_language(text)
      translation_source.detect_language(text)
    end

    def translate(text, from: 'en', to:)
      translation_source.translate(text, from: from, to: to)
    end

    private

    def translation_source
      @translation_source || NoopTranslationSource.new
    end
  end
end
